> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication Request

> OpenID Connect Authorization Endpoint as described in [§3.1.2](https://openid.net/specs/openid-connect-core-1_0.html#AuthorizationEndpoint), [§3.2.2](https://openid.net/specs/openid-connect-core-1_0.html#ImplicitAuthorizationEndpoint), and [§3.3.2](https://openid.net/specs/openid-connect-core-1_0.html#HybridAuthorizationEndpoint) of [OpenID Connect Core](https://openid.net/specs/openid-connect-core-1_0.html)



## OpenAPI

````yaml /portal/Amdocs_Media-MarketONE-OIDC-Released-resolved.yaml get /authorize
openapi: 3.0.1
info:
  title: Connect OIDC APIs
  description: >-
    APIs that are used to provide, validate and assert user identities for
    Single Sign-On (SSO), and API workloads


    The APIs may be accessed through an active web session within the
    application (i.e. any JavaScript running on the server itself) or through
    authorizing a client application through OIDC or OAuth 2.0.


    The APIs can be accessed via a tenant specific domain.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/oidc
security: []
tags:
  - name: OIDC
    description: Public user API for OpenId connect specification
paths:
  /authorize:
    get:
      tags:
        - OIDC
      summary: Authentication Request
      description: >-
        OpenID Connect Authorization Endpoint as described in
        [§3.1.2](https://openid.net/specs/openid-connect-core-1_0.html#AuthorizationEndpoint),
        [§3.2.2](https://openid.net/specs/openid-connect-core-1_0.html#ImplicitAuthorizationEndpoint),
        and
        [§3.3.2](https://openid.net/specs/openid-connect-core-1_0.html#HybridAuthorizationEndpoint)
        of [OpenID Connect
        Core](https://openid.net/specs/openid-connect-core-1_0.html)
      operationId: oidcAuthorize
      parameters:
        - name: response_type
          in: query
          description: >-
            OAuth 2.0 response type requested.<br/>Possible values are a
            combination of _code_, _id_token_, _token_<br/>

            * code - Authorization Code Flow

            * id_token - Implicit Flow

            * id_token token - Implicit Flow

            * code id_token - Hybrid Flow

            * code token - Hybrid Flow

            * code id_token token -  Hybrid Flow
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: client_id
          in: query
          description: OAuth 2.0 client-ID of the Relying Party.
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: redirect_uri
          in: query
          description: |-
            Redirection URI to which the response will be sent. Must match
            configured values for the Relying Party
          required: true
          style: form
          explode: true
          schema:
            type: string
        - name: scope
          in: query
          description: >-
            Scopes requested. If missing all scopes from Relying party are
            assigned upon successful request.
          required: false
          style: form
          explode: true
          schema:
            type: string
            example: profile,email
        - name: state
          in: query
          description: Opaque value to be returned with the redirect
          required: false
          style: form
          explode: true
          schema:
            type: string
            example: af0ifjsldkj
        - name: nonce
          in: query
          description: (Optional) Opaque value to be included in the ID Token
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: prompt
          in: query
          description: >-
            (Optional) Allowed authentication methods.

            Space delimited, case sensitive list. The defined values are:

            * none - No authentication or consent user interface pages are
            displayed. Typical error codes will be _login_required_,
            _interaction_required_.

            * login - Prompt the End-User for reauthentication. Typical error
            _login_required_.

            * consent - Prompt the End-User for consent. Typical error
            _consent_required_.

            * select_account - Prompt the End-User to select a user account.
            Typical error _account_selection_required_.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: max_age
          in: query
          description: (Optional) Maximum authentication age
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: id_token_hint
          in: query
          description: (Optional) Previously-issued ID Token to be used as a reference
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: login_hint
          in: query
          description: (Optional) Suggested User-ID
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: Never happens. Successful scenario is 302 redirect.
        '302':
          description: >-
            Redirect to the {redirect_uri} with the auth code (and other
            parameters defined in Section 4.1.2 of OAuth 2.0 [RFC6749]) as query
            parameters.
          headers:
            Location:
              description: Redirect URI
              style: simple
              explode: false
              schema:
                type: string
                example: https://idp.example.org/login
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthorizeResponse400'
      externalDocs:
        description: OpenID Connect Core 1.0 incorporating errata set 1
        url: https://openid.net/specs/openid-connect-core-1_0.html
components:
  schemas:
    AuthorizeResponse400:
      type: object
      properties:
        error:
          type: string
          example: invalid_client
          enum:
            - invalid_client
            - invalid_request
            - invalid_scope
            - unsupported_response_type
            - invalid_grant
        error_description:
          type: string
          description: Description of the error
          example: Required String parameter 'token' is not present

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.